{ config, pkgs, ... }:

let
  wallpaper = builtins.toString ../backgrounds/monkey.jpg;
  wallpaper2 = builtins.toString ../backgrounds/bird.jpg;
in
{
  services.hyprpaper = {
    enable = true;

    settings = {
      preload = [
        wallpaper
        wallpaper2
      ];
      wallpaper = [
        "DP-2,${wallpaper2}"
        "HDMI-A-1,${wallpaper2}"
        ",${wallpaper}"
      ];
    };
  };
}
